# Get gateway connection status

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/gateways/{gateway_id}/connection`

Get the current connection status of a gateway

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `gateway_id` | path | string | yes | The gateway's ID (`gw_...`), or its `code`. |

## Responses

### 200: Gateway connection status

```json
{
  "connection": {
    "id": "string",
    "connection_status": "string",
    "connection_status_date": "2026-01-01T12:00:00Z"
  }
}
```

### 400: Bad request - invalid parameters

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Unauthorized - invalid credentials

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Gateway not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/gateways/GATEWAY_ID/connection \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getgatewayconnection/